<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.item.edit', functionselectionModel.templateBean.name)}" />
		</ui:define>
		<ui:define name="body">
 		  <p:panelGrid columns="2" styleClass="width100percent" columnClasses="topaligned">
				<h:outputText value="#{facesContext.translate('label.name')}" />
				<p:inputText id="name" value="#{functionselectionModel.templateBean.name}" style="width: 95%" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.name')}" />
				<h:outputText value="#{facesContext.translate('label.description')}" />
				<p:inputTextarea id="descr" value="#{functionselectionModel.templateBean.description}" styleClass="inputTextarea" />
				<h:outputText value="#{facesContext.translate('label.instruction.analysis.template.edit')}" />
				<h:panelGrid columns="1">
					<p:dataTable id="chosen" widgetVar="chosenTable" value="#{functionselectionModel.template.chosen}" var="f" pageLength="#{functionselectionModel.getChosenPagelength(facesContext)}"
						pageLengthMenu="#{functionselectionModel.getPagelengthMenu(facesContext)}">
						<p:column headerText="#{facesContext.translate('label.template.function.ordernr')}" dataOrder="#{f.orderNr}">
							<p:inputText id="ordernr" value="#{f.orderNr}" size="5" onchange="shipprimefaces.markAsDirty(this); shipprimefaces.markAsWarning('form:reorderbtn')">
								<f:convertNumber integerOnly="true" />
							</p:inputText>
						</p:column>
						<p:column headerText="#{facesContext.translate('label.alias')}">
							<h:outputText value="#{f.alias}" />
						</p:column>
						<p:column headerText="#{facesContext.translate('label.instruction.analysis.choose.function')}">
							<h:outputText value="#{f.name}" />
						</p:column>
						<p:column headerText="#{facesContext.translate('label.statistic.category')}">
							<ui:repeat value="#{f.category}" var="cat">
								<h:outputText value="#{cat.name}" title="#{cat.description}" styleClass="squarebadge" />
							</ui:repeat>
						</p:column>
						<p:column label="#{facesContext.translate('label.actions')}">
							<ship:buttongroup>
								<p:commandButton id="btn_subitem" action="#{functionselectionController.toSubitem(f)}" icon="fa fa-pencil" value="" title="#{facesContext.translate('button.edit')}" immediate="true"
									styleClass="iconbutton" ajax="false" />
								<ship:removeButton id="btn_removeItem" action="#{functionselectionController.doRemoveFunctionFromTemplate(f.anaparfun)}" value="" tooltip="#{facesContext.translate('button.delete')}"
									title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
									immediate="true">
									<h:outputText value="#{facesContext.translate('confirmation.delete.analysistemplatefunction', f.name)}" styleClass="dangerText" />
								</ship:removeButton>
							</ship:buttongroup>
						</p:column>
					</p:dataTable>
					<ship:buttongroup style="margin-bottom: 24px">
						<p:commandButton id="reorderbtn" action="#{functionselectionController.doApproveReordering}" value="#{facesContext.translate('button.approve.reorder')}" ajax="false" />
					</ship:buttongroup>
					<p:dataTable id="all" widgetVar="allTable" value="#{functionselectionModel.template.all}" var="f">
						<p:column headerText="#{facesContext.translate('label.name')}">
							<h:outputText value="#{f.name}" />
						</p:column>
						<p:column headerText="#{facesContext.translate('label.title')}">
              <div class="oneliner" title="#{f.summary}">
							  <h:outputText value="#{f.summary}" />
              </div>
						</p:column>
						<p:column headerText="#{facesContext.translate('label.description')}" style="width: 30vw;">
              <div class="oneliner" title="#{f.description}"  style="height: 8vh;">
							  <h:outputText value="#{f.description}"/>
              </div>
						</p:column>
						<p:column headerText="#{facesContext.translate('label.statistic.category')}">
							<ui:repeat value="#{f.category}" var="cat">
								<h:outputText value="#{cat.name}" styleClass="squarebadge" title="#{cat.description}" />
							</ui:repeat>
						</p:column>
						<p:column headerText="#{facesContext.translate('label.actions')}">
							<p:commandButton id="btn_addfunction" action="#{functionselectionController.doAddFunctionToTemplate(f)}" title="#{facesContext.translate('button.add')}" icon="fa fa-plus" ajax="false"
								styleClass="iconbutton" />
						</p:column>
					</p:dataTable>
        </h:panelGrid>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{functionselectionController.doUpdateTemplate}" value="#{facesContext.translate('button.approve')}" ajax="false " />
			<p:commandButton id="btn_cancel" action="#{functionselectionController.toWelcome}" value="#{facesContext.translate('button.overview')}" immediate="true" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			<p>
			Hier können Sie die ausgewählte Funktionsauswahl bearbeiten. <br /><br />
			<b>Name:</b> Hier können Sie den Namen der Funktionsauswahl bearbeiten. <br />
			<b>Beschreibung:</b> Hier können Sie die Beschreibung der Funktionsauswahl bearbeiten. <br /><br />
			<u><b>Obere Tabelle</b></u><br /><br />
			Die obere Tabelle enthält alle statistischen Funktionen, die in der Funktionsauswahl enthalten sind.<br /><br />
			<b>Reihenfolge:</b> Hier können Sie die Reihenfolge der Funktionen ändern. Nummerieren sie die Funktionen dafür beginnend mit 10, 20, 30
			usw. in den Textfeldern. Klicken Sie auf <i>Reihenfolge speichern</i>, um die Änderungen zu übernehmen. <br /><br />
			<b>Alias:</b> Ein Alias ist ein Ersatzname für die verwendete Funktion. Bei mehrfacher Verwendung einer Funktion in derselben 
			Funktionsauswahl ermöglicht es der Alias, die Verwendungen zu unterscheiden. Zum Beispiel rechnet die Funktion einmal für den 
			Berichtszeitraum und einmal für den Gesamtzeitraum oder einmal gruppiert nach Untersuchern und einmal gruppiert nach Geräten. Beim 
			Hinzufügen einer statistischen Funktion wird voreingestellt der Titel der gewählten Funktion als Alias übernommen, es wird aber ein
			Index angehängt. Klicken Sie auf das <i>Stift</i>-Symbol, um den Alias für diese Funktionsauswahl zu bearbeiten. <br /><br />
			<b>Verwendete Analysen:</b> Hier wird der originale Name der verwendeten statistischen Funktion angezeigt. <br /><br />
			<b>Kategorie:</b> Hier werden Kategorien der verwendeten statistischen Funktion angezeigt. Die Kategorien dienen der Einordnung und dem
			schnellen Auffinden von Funktionen. So sind zum Beispiel viele Funktionen einer von 3 Dimensionen aus dem [Datenqualitätskonzept](https:/
			/dfg-qa.uni-greifswald.de/) zugeordnet. Eine Funktion kann mehr als einer Kategorie zugeordnet werden. [Die (Indikator)funktionen aus 
			dem Datenqualitätskonzept sind aber immer genau einer Dimension zugeordnet.] <br /><br />
			Die Dimension <i>Completeness</i> enthält Funktionen, die untersuchen, ob erwartete Studiendaten vorhanden sind. <br /><br />
			Der Dimension <i>Consistency</i> sind Funktionen zugeordnet, die deterministische Regeln untersuchen, z.B. das Auftreten von Werten für 
			kategorielle Variablen, die keiner Kategorie zuzuordnen sind wie „w“ statt „f“, wenn für eine Variable sex die Kategorien „f“ und „m“
			verwendet werden sollen. <br /><br />
			Die Funktionen der Dimension <i>Accuracy</i> untersuchen die Übereinstimmung von erwarteten und beobachteten Verteilungen und 
			Assoziationen, z.B. Abweichungen von der erwarteten Verteilungsform einer Funktion oder Abweichungen beim Mittelwert der Messwerte
			zwischen verschiedenen Untersuchern.<br /><br />
			Klicken Sie auf das <i>Stift</i>-Symbol, um den Alias, die Beschreibung und die Voreinstellungen der statistischen Funktion zu 
			bearbeiten. <br /><br />
			Klicken Sie auf das <i>Papierkorb</i>-Symbol, um die statistische Funktion aus der Funktionsauswahl zu entfernen. <br /><br /><br />
			<u><b>Untere Tabelle</b></u><br /><br />
			Die obere Tabelle enthält alle statistischen Funktionen, die in SQ2 zur Auswahl stehen.<br /><br />
			Klicken Sie auf das <i>+</i>-Symbol, um dieser Funktionsauswahl eine Funktion hinzuzufügen. <br /><br />
			<b>Name:</b> Hier wird der eindeutige Name der verwendeten statistischen Funktion angezeigt. Bei Auswahl der Funktion wird dieser in die
			obere Tabelle als verwendete Analyse übernommen. <br /><br />
			<b>Titel:</b> Hier wird der Titel der verwendeten statistischen Funktion angezeigt. Der Titel beschreibt die statistische Funktion. Bei
			Auswahl der Funktion wird der Titel in der oberen Tabelle als Alias angezeigt, er wird dabei mit einem numerischen Suffix versehen, um 
			ggfs. mehrfach hinzugefügte Funktionen unterscheiden zu können. <br /><br />
			<b>Beschreibung:</b> Hier wird die Beschreibung der Funktion angezeigt. Die Beschreibung enthält eine ausführlichere Dokumentation der 	
			Funktion. <br /><br />
			<b>Kategorie:</b> Hier werden Kategorien der verwendeten statistischen Funktion angezeigt. Die Kategorien dienen der Einordnung und dem 
			schnellen Auffinden von Funktionen. So sind zum Beispiel viele Funktionen einer von 3 Dimensionen aus dem [Datenqualitätskonzept](https:/
			/dfg-qa.uni-greifswald.de/) zugeordnet. Eine Funktion kann mehr als einer Kategorie zugeordnet werden. [Die (Indikator)funktionen aus 
			dem Datenqualitätskonzept sind aber immer genau einer Dimension zugeordnet.] <br /><br />
			Die Dimension <i>Completeness</i> enthält Funktionen, die untersuchen, ob erwartete Studiendaten vorhanden sind. <br /><br />
			Der Dimension <i>Consistency</i> sind Funktionen zugeordnet, die deterministische Regeln untersuchen, z.B. das Auftreten von Werten für 
			kategorielle Variablen, die keiner Kategorie zuzuordnen sind wie „w“ statt „f“, wenn für eine Variable sex die Kategorien „f“ und „m“ 
			verwendet werden sollen. <br /><br />
			Die Funktionen der Dimension <i>Accuracy</i> untersuchen die Übereinstimmung von erwarteten und beobachteten Verteilungen und
			Assoziationen, z.B. Abweichungen von der erwarteten Verteilungsform einer Funktion oder Abweichungen beim Mittelwert der Messwerte 
			zwischen verschiedenen Untersuchern.<br /><br />
			Klicken Sie auf <i>Übernehmen</i>, um die Eingaben zu speichern.<br /><br />
			Klicken Sie auf <i>Zurück zur Übersicht</i>, um zur Übersicht zurückzukehren.
			</p>
		</ui:define>
	</ui:composition>
</h:body>
</html>
